Name:		dropbox-servicemenu
Version:	0.16.1
Release:	%mkrel 7
Summary:	Dropbox servicemenu for Konqueror and Dolphin
Group:		Graphical desktop/KDE
License:	GPLv3
URL:		http://kde-apps.org/content/show.php/Dropbox+ServiceMenu?content=124416
Source0:	http://kde-apps.org/CONTENT/content-files/124416-DropboxServiceMenu-%{version}.tar.gz
Patch0:		dropbox-servicemenu-0.16.1-mga-fix-correct-paths.patch
Patch1:		explicit-python2.patch
BuildArch:	noarch
BuildRequires:	kf5-macros

Requires:	plasma-workspace
Requires:	kdialog
Requires:	python-m2crypto
Requires:	recode
Requires:	sqlite3-tools
Requires:	xdg-utils


%description
Dropbox ServiceMenu is a servicemenu which allows easy access to most
of Dropbox features. It uses Dropbox CLI to generate public urls, and
pyndexer to allow sharing directories in public folder.

Note:
dropbox must be installed for proper work.

%prep
%setup -q -n DropboxServiceMenu-%{version}

%autopatch -p1

# FIXME (fdr)for missing shebang on dropbox_menu_translations.sh script
sed -i "1i #!/bin/bash" dropbox-scripts/dropbox_menu_translations.sh

%build
# nothing to build

%install
mkdir -p %{buildroot}%{_kf5_bindir}
install -m 0755 dropbox-scripts/*.sh %{buildroot}%{_kf5_bindir}/
install -m 0755 dropbox-scripts/*.py %{buildroot}%{_kf5_bindir}/

mkdir -p %{buildroot}%{_kf5_services}/ServiceMenus
install -m 0644 dropbox_*.desktop %{buildroot}%{_kf5_services}/ServiceMenus/

%files
%doc Changelog THANKS
%license LICENSE
%{_kf5_bindir}/pyndexer.py
%{_kf5_bindir}/get_dropbox_folder.sh
%{_kf5_bindir}/dropbox.py
%{_kf5_bindir}/dropbox-notify.py
%{_kf5_bindir}/dropbox_menu.sh
%{_kf5_bindir}/dropbox_menu_translations.sh
%{_kf5_services}/ServiceMenus/dropbox_all.desktop
%{_kf5_services}/ServiceMenus/dropbox_directories.desktop
%{_kf5_services}/ServiceMenus/dropbox_files.desktop


%changelog
* Tue Mar 03 2020 tv <tv> 0.16.1-7.mga8
+ Revision: 1553493
- fix 'ERROR: ambiguous python shebang'
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.16.1-6.mga7
+ Revision: 1260580
- Mageia 7 Mass Rebuild

* Sat Dec 24 2016 daviddavid <daviddavid> 0.16.1-5.mga6
+ Revision: 1077124
- adapt for plasma 5

* Sat Feb 06 2016 umeabot <umeabot> 0.16.1-4.mga6
+ Revision: 941821
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.16.1-3.mga5
+ Revision: 742333
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.16.1-2.mga5
+ Revision: 678864
- Mageia 5 Mass Rebuild

* Sun Apr 13 2014 daviddavid <daviddavid> 0.16.1-1.mga5
+ Revision: 613860
- imported package dropbox-servicemenu

